Summary:	Parsing gigabytes of JSON per second
Name:		simdjson
Version:	3.0.1
Release:	1
License:	Apache v2.0
Group:		Libraries
#Source0Download: https://github.com/simdjson/simdjson/releases
Source0:	https://github.com/simdjson/simdjson/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	993576b47249f2bade2bfb2552b2896a
URL:		https://simdjson.org
BuildRequires:	cmake >= 3.9
BuildRequires:	libstdc++-devel >= 6:5
BuildRequires:	rpmbuild(macros) >= 1.605
ExclusiveArch:	%{x8664} aarch64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
JSON documents are everywhere on the Internet. Servers spend a lot of
time parsing these documents. simdjson aims to accelerate the parsing
of JSON per se using commonly available SIMD instructions as much as
possible while doing full validation (including character encoding).

%package devel
Summary:	Header files for simdjson library
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for simdjson library.

%prep
%setup -q

%build
%cmake -B build
%{__make} -C build

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS CONTRIBUTING.md CONTRIBUTORS HACKING.md README.md RELEASES.md
%attr(755,root,root) %{_libdir}/libsimdjson.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsimdjson.so.14

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsimdjson.so
%{_libdir}/cmake/simdjson
%{_includedir}/simdjson.h
%{_pkgconfigdir}/simdjson.pc
%changelog
* Thu Nov 24 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/simdjson.git;a=log;h=master

* Wed Nov 23 2022 Jan Palus <atler@pld-linux.org> f226cba
- up to 3.0.1

* Thu Oct 06 2022 Jan Palus <atler@pld-linux.org> 7f20094
- up to 3.0.0 (new soname)

* Sun Oct 02 2022 Jan Palus <atler@pld-linux.org> 7250624
- up to 2.2.3

* Fri Jul 29 2022 Jan Palus <atler@pld-linux.org> 8d2ce09
- up to 2.2.2

* Tue Jul 19 2022 Jan Palus <atler@pld-linux.org> 3372bca
- up to 2.2.1

* Tue Jul 05 2022 Jan Palus <atler@pld-linux.org> 7b65187
- up to 2.2.0 (new soname)

* Thu Jun 30 2022 Jan Palus <atler@pld-linux.org> be599bd
- up to 2.1.0 (new soname)

* Wed Jun 15 2022 Jan Palus <atler@pld-linux.org> 7adb201
- up to 2.0.4

* Thu Jun 02 2022 Jan Palus <atler@pld-linux.org> 1b6167f
- up to 2.0.3

* Thu Jun 02 2022 Jan Palus <atler@pld-linux.org> 8de4c88
- up to 2.0.2

* Thu May 26 2022 Jan Palus <atler@pld-linux.org> 619b95e
- up to 2.0.1

* Wed May 25 2022 Jan Palus <atler@pld-linux.org> 0a7e403
- keep build files in separate directory

* Wed May 25 2022 Jan Palus <atler@pld-linux.org> 1c2c531
- up to 2.0.0 (new soname)

* Thu Oct 28 2021 Jan Palus <atler@pld-linux.org> 3cdad20
- up to 1.0.2

* Wed Oct 20 2021 Jan Palus <atler@pld-linux.org> 842f7d6
- up to 1.0.1

* Wed Sep 08 2021 Jan Palus <atler@pld-linux.org> 1e97f32
- up to 1.0.0 (new soname)

* Sat Jul 31 2021 Jan Palus <atler@pld-linux.org> c81ca6b
- up to 0.9.7

* Mon Jun 07 2021 Jan Palus <atler@pld-linux.org> 60f8f90
- up to 0.9.6

* Fri May 28 2021 Jan Palus <atler@pld-linux.org> 74db4c7
- up to 0.9.5

* Thu May 20 2021 Jan Palus <atler@pld-linux.org> 5f0fa92
- up to 0.9.4

